#include <iostream>

using namespace std;

int main()
{
    int n,l ;
    cin >> n >> l ;
    int h ;
    for(int i=1 ; i<=n ; i++){
        cin >> h ;
        if(l>=h){
            cout << i ;
            return 0 ;
        }
    }
    cout << -1 ;
    return 0;
}